Take back a hand-over
DELETE
/cash/handovers/{id}
const url = 'https://example.com/cash/handovers/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f';const options = { method: 'DELETE', headers: {cookie: 'bottle.session_token=<bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/cash/handovers/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f \ --cookie bottle.session_token=<bottle.session_token>Whoever started it, before it is answered. The money goes back to where it was: with the driver.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
Responses
Section titled “Responses”Cancelled
Media typeapplication/json
object
id
required
UUID v7
string format: uuid
driverUserId
required
string
driverName
required
string | null
amountPence
required
integer
drops
required
integer
startedBy
required
string
startedByName
required
string | null
status
required
string
note
required
string | null
answeredByName
required
string | null
answeredAt
required
string | null format: date-time
answerNote
required
string | null
createdAt
required
string format: date-time
Example
{ "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "startedBy": "driver", "status": "waiting"}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}No such hand-over
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Already answered or cancelled, or for the other side to answer
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}